#
# Generalised Bitmap Module Memory Handler
#
# This makefile is for Open Watcom C++ on OS/2.
#

# ------------------
# Configure compiler
# ------------------

#
# Using Open Watcom C++:
#
CC      = wcc386
CL      = wlink
CLIB    = wlib

# Builds gbm objects which are compiled multithreaded
# Therefore all users should also be multithreaded
CWARNS         = -wx -we
CFLAGS         = $(CWARNS) -bt=os2 -ze -zq -zp4 -onatxh -oe=100 -sg -ei -6r -fp6 -fpi87 -bm -mf /DNDEBUG
CFLAGS_DBG     = $(CWARNS) -bt=os2 -ze -zq -zp4 -sg -ei -6r -fp6 -fpi87 -bm -mf -d2 /DDEBUG
LIBFLAGS       = -q -n -b -c

# For debugging call nmake or wmake with debug=on
!ifdef debug
CFLAGS         = $(CFLAGS_DBG)
!endif

#

.SUFFIXES:	.c .obj

.c.obj:
		$(CC) $(CFLAGS) $*.c

#

all: gbmmem.lib

#

gbmmem.obj:	gbmmem.c gbm.h gbmmem.h

gbmmem.lib:	gbmmem.obj
            $(CLIB) $(LIBFLAGS) $@ +gbmmem.obj


# ------------------------
# Build management targets
# ------------------------

clean:
	-del /F /N gbmmem.obj 2>nul
	-del /F /N *.err 2>nul
	-del /F /N *.prf 2>nul

clobber:
	 -del /F /N gbmmem.obj 2>nul
	 -del /F /N *.err 2>nul
	 -del /F /N *.prf 2>nul
	 -del /F /N gbmmem.lib 2>nul


